# $Revision: 1.5.2.3 $, $Date: 2003/08/26 17:57:01 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	IPC
%define	pnam	SharedCache
Summary:	%{pdir}::%{pnam} perl module
Summary(pl):	Modu perla %{pdir}::%{pnam}
Name:		perl-%{pdir}-%{pnam}
Version:	1.3
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4d5d159a6b41d42918b7c1fceafb43ae
BuildRequires:	perl-devel >= 5.005
BuildRequires:	perl(Carp)
BuildRequires:	perl(IPC::ShareLite) >= 0.06
BuildRequires:	perl(IPC::SysV)
BuildRequires:	perl(Storable)
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a shared memory cache accessed as a tied hash.

%description -l pl
Ten modu udostpnia cache pamici dzielonej, dostpny jako
dowizany hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes ANNOUNCE
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-SharedCache.spec,v $
Revision 1.5.2.3  2003/08/26 17:57:01  blues
- release 2 - on ftp is other package with the same release

Revision 1.5.2.2  2003/07/11 12:02:55  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.5.2.1  2003/03/13 00:57:46  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:34:02  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/28 16:29:59  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/15 07:42:32  depesz
- spec by Radosaw Zieliski
